<html>
<head>
<title>OGRE: Ogre::Particle Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Particle.html">Particle</a></div>
<h1>Ogre::Particle Class Reference</h1><!-- doxytag: class="Ogre::Particle" -->Class representing a single particle instance.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::Particle:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1Particle-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#1c17e03466492e1983a439eb7e540e25">ParticleType</a> { <a class="el" href="classOgre_1_1Particle.html#1c17e03466492e1983a439eb7e540e25f72cab2ce3d47d8aa4ec32797372bd81">Visual</a>, 
<a class="el" href="classOgre_1_1Particle.html#1c17e03466492e1983a439eb7e540e2542e46625a50eb279c03f665fa715d749">Emitter</a>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of particle.  <a href="classOgre_1_1Particle.html#1c17e03466492e1983a439eb7e540e25">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#c8af4974850cd869b3f2331927dce745">Particle</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#6a2bc4941c3c346f6d9936e447dde3c9">setDimensions</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> width, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> height)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the width and height for this particle.  <a href="#6a2bc4941c3c346f6d9936e447dde3c9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#8f4a78d8b0adf3475c34f8f5627d13cd">hasOwnDimensions</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns true if this particle deviates from the ParticleSystem's default dimensions (i.e.  <a href="#8f4a78d8b0adf3475c34f8f5627d13cd"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#5290732791067176c46213f202e7c825">getOwnWidth</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves the particle's personal width, if hasOwnDimensions is true.  <a href="#5290732791067176c46213f202e7c825"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#e3cbb490ad08cdee104e99757fe950a6">getOwnHeight</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves the particle's personal width, if hasOwnDimensions is true.  <a href="#e3cbb490ad08cdee104e99757fe950a6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#bfea8fc856e37f26eb5901e930c7b21f">setRotation</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rad)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the current rotation.  <a href="#bfea8fc856e37f26eb5901e930c7b21f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#7b0d81161cc9001be6d9d5f6014ef0a7">getRotation</a> (void) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#58bee75a698865e094bd338ad260ff8a">_notifyOwner</a> (<a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a> *owner)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method for notifying the particle of it's owner.  <a href="#58bee75a698865e094bd338ad260ff8a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#dbb195c8ac77dac1051a927d744034a5">_notifyVisualData</a> (<a class="el" href="classOgre_1_1ParticleVisualData.html">ParticleVisualData</a> *vis)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method for notifying the particle of it's optional visual data.  <a href="#dbb195c8ac77dac1051a927d744034a5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ParticleVisualData.html">ParticleVisualData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#bcc488e921cb51541564743724b45cba">getVisualData</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the optional visual data associated with the class.  <a href="#bcc488e921cb51541564743724b45cba"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#44700655800282c23c7f3f97debfacf7">resetDimensions</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Utility method to reset this particle.  <a href="#44700655800282c23c7f3f97debfacf7"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#c4a7e742d6abd51a9dceaec92eb0e23a">mOwnDimensions</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Does this particle have it's own dimensions?  <a href="#c4a7e742d6abd51a9dceaec92eb0e23a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#df524dfe79984bbdeb8130f5c0348fdb">mWidth</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Personal width if mOwnDimensions == true.  <a href="#df524dfe79984bbdeb8130f5c0348fdb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#93027e6a8be2be918488edf6c88217c0">mHeight</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Personal height if mOwnDimensions == true.  <a href="#93027e6a8be2be918488edf6c88217c0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#2d3471733bab703d13c19a7408a09c4c">rotation</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Current rotation value.  <a href="#2d3471733bab703d13c19a7408a09c4c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#2e4517ab1b59795b66fef4b8aefbde28">position</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">World position.  <a href="#2e4517ab1b59795b66fef4b8aefbde28"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#d096a8561ce604af5262b1bb2aeee56a">direction</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Direction (and speed).  <a href="#d096a8561ce604af5262b1bb2aeee56a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#f0a9c1c6fed9b18ff0f0c6d27fe67e23">colour</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Current colour.  <a href="#f0a9c1c6fed9b18ff0f0c6d27fe67e23"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#11f740b29bc51425c987632d037e3da9">timeToLive</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Time to live, number of seconds left of particles natural life.  <a href="#11f740b29bc51425c987632d037e3da9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#50c7f1900cf53966599cd9ad53c9b199">totalTimeToLive</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Total Time to live, number of seconds of particles natural life.  <a href="#50c7f1900cf53966599cd9ad53c9b199"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#6c340715b6b34951ac5b09ece49a93f1">rotationSpeed</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Speed of rotation in radians/sec.  <a href="#6c340715b6b34951ac5b09ece49a93f1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Particle.html#1c17e03466492e1983a439eb7e540e25">ParticleType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#193b1bf36fb1fae4ed7f2a24dc6b50bd">particleType</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determines the type of particle.  <a href="#193b1bf36fb1fae4ed7f2a24dc6b50bd"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#bdb83d31d2f73646b23a82fa8dddb2ef">mParentSystem</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parent <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>.  <a href="#bdb83d31d2f73646b23a82fa8dddb2ef"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ParticleVisualData.html">ParticleVisualData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#6484d779038d54ca579b9939181c6ecf">mVisual</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Additional visual data you might want to associate with the <a class="el" href="classOgre_1_1Particle.html" title="Class representing a single particle instance.">Particle</a>.  <a href="#6484d779038d54ca579b9939181c6ecf"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class representing a single particle instance. 
<p>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00055">55</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>
<hr><h2>Member Enumeration Documentation</h2>
<a class="anchor" name="1c17e03466492e1983a439eb7e540e25"></a><!-- doxytag: member="Ogre::Particle::ParticleType" ref="1c17e03466492e1983a439eb7e540e25" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1Particle.html#1c17e03466492e1983a439eb7e540e25">Ogre::Particle::ParticleType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Type of particle. 
<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="1c17e03466492e1983a439eb7e540e25f72cab2ce3d47d8aa4ec32797372bd81"></a><!-- doxytag: member="Visual" ref="1c17e03466492e1983a439eb7e540e25f72cab2ce3d47d8aa4ec32797372bd81" args="" -->Visual</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="1c17e03466492e1983a439eb7e540e2542e46625a50eb279c03f665fa715d749"></a><!-- doxytag: member="Emitter" ref="1c17e03466492e1983a439eb7e540e2542e46625a50eb279c03f665fa715d749" args="" -->Emitter</em>&nbsp;</td><td>
</td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00064">64</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="c8af4974850cd869b3f2331927dce745"></a><!-- doxytag: member="Ogre::Particle::Particle" ref="c8af4974850cd869b3f2331927dce745" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Particle::Particle           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00095">95</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="6a2bc4941c3c346f6d9936e447dde3c9"></a><!-- doxytag: member="Ogre::Particle::setDimensions" ref="6a2bc4941c3c346f6d9936e447dde3c9" args="(Real width, Real height)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Particle::setDimensions           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>height</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the width and height for this particle. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Note that it is most efficient for every particle in a <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a> to have the same dimensions. If you choose to alter the dimensions of an individual particle the set will be less efficient. Do not call this method unless you really need to have different particle dimensions within the same set. Otherwise just call the <a class="el" href="classOgre_1_1ParticleSystem.html#7acccf2da0f9ce63a0af079e809da00b" title="Sets the default dimensions of the particles in this set.">ParticleSystem::setDefaultDimensions</a> method instead. </dd></dl>

</div>
</div><p>
<a class="anchor" name="8f4a78d8b0adf3475c34f8f5627d13cd"></a><!-- doxytag: member="Ogre::Particle::hasOwnDimensions" ref="8f4a78d8b0adf3475c34f8f5627d13cd" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Particle::hasOwnDimensions           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns true if this particle deviates from the ParticleSystem's default dimensions (i.e. 
<p>
if the particle::setDimensions method has been called for this instance). <dl class="see" compact><dt><b>See also:</b></dt><dd>particle::setDimensions </dd></dl>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00117">117</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5290732791067176c46213f202e7c825"></a><!-- doxytag: member="Ogre::Particle::getOwnWidth" ref="5290732791067176c46213f202e7c825" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Particle::getOwnWidth           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves the particle's personal width, if hasOwnDimensions is true. 
<p>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00120">120</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e3cbb490ad08cdee104e99757fe950a6"></a><!-- doxytag: member="Ogre::Particle::getOwnHeight" ref="e3cbb490ad08cdee104e99757fe950a6" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Particle::getOwnHeight           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves the particle's personal width, if hasOwnDimensions is true. 
<p>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00123">123</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="bfea8fc856e37f26eb5901e930c7b21f"></a><!-- doxytag: member="Ogre::Particle::setRotation" ref="bfea8fc856e37f26eb5901e930c7b21f" args="(const Radian &amp;rad)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Particle::setRotation           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rad</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the current rotation. 
<p>

</div>
</div><p>
<a class="anchor" name="7b0d81161cc9001be6d9d5f6014ef0a7"></a><!-- doxytag: member="Ogre::Particle::getRotation" ref="7b0d81161cc9001be6d9d5f6014ef0a7" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Radian.html">Radian</a>&amp; Ogre::Particle::getRotation           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00128">128</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="58bee75a698865e094bd338ad260ff8a"></a><!-- doxytag: member="Ogre::Particle::_notifyOwner" ref="58bee75a698865e094bd338ad260ff8a" args="(ParticleSystem *owner)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Particle::_notifyOwner           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a> *&nbsp;</td>
          <td class="paramname"> <em>owner</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method for notifying the particle of it's owner. 
<p>

</div>
</div><p>
<a class="anchor" name="dbb195c8ac77dac1051a927d744034a5"></a><!-- doxytag: member="Ogre::Particle::_notifyVisualData" ref="dbb195c8ac77dac1051a927d744034a5" args="(ParticleVisualData *vis)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Particle::_notifyVisualData           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ParticleVisualData.html">ParticleVisualData</a> *&nbsp;</td>
          <td class="paramname"> <em>vis</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method for notifying the particle of it's optional visual data. 
<p>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00136">136</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="bcc488e921cb51541564743724b45cba"></a><!-- doxytag: member="Ogre::Particle::getVisualData" ref="bcc488e921cb51541564743724b45cba" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParticleVisualData.html">ParticleVisualData</a>* Ogre::Particle::getVisualData           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the optional visual data associated with the class. 
<p>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00139">139</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="44700655800282c23c7f3f97debfacf7"></a><!-- doxytag: member="Ogre::Particle::resetDimensions" ref="44700655800282c23c7f3f97debfacf7" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Particle::resetDimensions           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Utility method to reset this particle. 
<p>

<p>Referenced by <a class="el" href="OgreParticleEmitter_8h-source.html#l00376">Ogre::ParticleEmitter::_initParticle()</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="bdb83d31d2f73646b23a82fa8dddb2ef"></a><!-- doxytag: member="Ogre::Particle::mParentSystem" ref="bdb83d31d2f73646b23a82fa8dddb2ef" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a>* <a class="el" href="classOgre_1_1Particle.html#bdb83d31d2f73646b23a82fa8dddb2ef">Ogre::Particle::mParentSystem</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parent <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>. 
<p>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00059">59</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6484d779038d54ca579b9939181c6ecf"></a><!-- doxytag: member="Ogre::Particle::mVisual" ref="6484d779038d54ca579b9939181c6ecf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParticleVisualData.html">ParticleVisualData</a>* <a class="el" href="classOgre_1_1Particle.html#6484d779038d54ca579b9939181c6ecf">Ogre::Particle::mVisual</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Additional visual data you might want to associate with the <a class="el" href="classOgre_1_1Particle.html" title="Class representing a single particle instance.">Particle</a>. 
<p>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00061">61</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c4a7e742d6abd51a9dceaec92eb0e23a"></a><!-- doxytag: member="Ogre::Particle::mOwnDimensions" ref="c4a7e742d6abd51a9dceaec92eb0e23a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Particle.html#c4a7e742d6abd51a9dceaec92eb0e23a">Ogre::Particle::mOwnDimensions</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Does this particle have it's own dimensions? 
<p>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00071">71</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="df524dfe79984bbdeb8130f5c0348fdb"></a><!-- doxytag: member="Ogre::Particle::mWidth" ref="df524dfe79984bbdeb8130f5c0348fdb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Particle.html#df524dfe79984bbdeb8130f5c0348fdb">Ogre::Particle::mWidth</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Personal width if mOwnDimensions == true. 
<p>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00073">73</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="93027e6a8be2be918488edf6c88217c0"></a><!-- doxytag: member="Ogre::Particle::mHeight" ref="93027e6a8be2be918488edf6c88217c0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Particle.html#93027e6a8be2be918488edf6c88217c0">Ogre::Particle::mHeight</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Personal height if mOwnDimensions == true. 
<p>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00075">75</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2d3471733bab703d13c19a7408a09c4c"></a><!-- doxytag: member="Ogre::Particle::rotation" ref="2d3471733bab703d13c19a7408a09c4c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> <a class="el" href="classOgre_1_1Particle.html#2d3471733bab703d13c19a7408a09c4c">Ogre::Particle::rotation</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Current rotation value. 
<p>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00077">77</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2e4517ab1b59795b66fef4b8aefbde28"></a><!-- doxytag: member="Ogre::Particle::position" ref="2e4517ab1b59795b66fef4b8aefbde28" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1Particle.html#2e4517ab1b59795b66fef4b8aefbde28">Ogre::Particle::position</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
World position. 
<p>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00081">81</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d096a8561ce604af5262b1bb2aeee56a"></a><!-- doxytag: member="Ogre::Particle::direction" ref="d096a8561ce604af5262b1bb2aeee56a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1Particle.html#d096a8561ce604af5262b1bb2aeee56a">Ogre::Particle::direction</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Direction (and speed). 
<p>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00083">83</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f0a9c1c6fed9b18ff0f0c6d27fe67e23"></a><!-- doxytag: member="Ogre::Particle::colour" ref="f0a9c1c6fed9b18ff0f0c6d27fe67e23" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1Particle.html#f0a9c1c6fed9b18ff0f0c6d27fe67e23">Ogre::Particle::colour</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Current colour. 
<p>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00085">85</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="11f740b29bc51425c987632d037e3da9"></a><!-- doxytag: member="Ogre::Particle::timeToLive" ref="11f740b29bc51425c987632d037e3da9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Particle.html#11f740b29bc51425c987632d037e3da9">Ogre::Particle::timeToLive</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Time to live, number of seconds left of particles natural life. 
<p>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00087">87</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="50c7f1900cf53966599cd9ad53c9b199"></a><!-- doxytag: member="Ogre::Particle::totalTimeToLive" ref="50c7f1900cf53966599cd9ad53c9b199" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Particle.html#50c7f1900cf53966599cd9ad53c9b199">Ogre::Particle::totalTimeToLive</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Total Time to live, number of seconds of particles natural life. 
<p>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00089">89</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6c340715b6b34951ac5b09ece49a93f1"></a><!-- doxytag: member="Ogre::Particle::rotationSpeed" ref="6c340715b6b34951ac5b09ece49a93f1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> <a class="el" href="classOgre_1_1Particle.html#6c340715b6b34951ac5b09ece49a93f1">Ogre::Particle::rotationSpeed</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Speed of rotation in radians/sec. 
<p>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00091">91</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="193b1bf36fb1fae4ed7f2a24dc6b50bd"></a><!-- doxytag: member="Ogre::Particle::particleType" ref="193b1bf36fb1fae4ed7f2a24dc6b50bd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Particle.html#1c17e03466492e1983a439eb7e540e25">ParticleType</a> <a class="el" href="classOgre_1_1Particle.html#193b1bf36fb1fae4ed7f2a24dc6b50bd">Ogre::Particle::particleType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Determines the type of particle. 
<p>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00093">93</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:17 2008
</p>
</body>
</html>
